#include "Fonts.h"
#include "Deer/DataStore.h"

namespace Deer {
	ImFont* normalText;
	ImFont* titleText;

	void initializeFonts() {
		ImGuiIO& io = ImGui::GetIO();
		io.Fonts->Clear();

		ImFontConfig cnfg;
		// cnfg.SizePixels = 26
		Path rfPath = DataStore::rootPath / "Editor/fonts/Roboto-Regular.ttf";
		normalText =
		    io.Fonts->AddFontFromFileTTF(rfPath.generic_string().c_str(), 18);
		titleText =
		    io.Fonts->AddFontFromFileTTF(rfPath.generic_string().c_str(), 27);
		// io.Fonts->AddFontDefault(&cnfg);
	}
}  // namespace Deer
